<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="slot-elements">
  <template>
    <style>
      :host {
        @apply --my-custom-mixin;
      }
      ::slotted(span){
        background: pink; 
      }
      ::slotted(.classSlotA){
        background: yellow; 
      }
    </style>

    <h1><slot></slot></h1>
    <hr>
    <h2>Hello [[prop1]]!</h2>
    <hr>
    <span>otro slot<slot name="span1">[texto x default]</slot></span>
    <hr>
    <span>el 3er slot:
      <slot name="span2Clase">[texto x en slot2]</slot></span>

      <p>Valor nuevo
        <div id="new">aqui</div>
      </p>
  </template>

  <script>
    /**
     * `slot-elements`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class SlotElements extends Polymer.Element {
      static get is() { return 'slot-elements'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'slot-elements'
          }
        };
      }
      ready(){
        super.ready();
        this.$.new.innerHTML = 'Listo el componente';
      }
    }

    window.customElements.define(SlotElements.is, SlotElements);
  </script>
</dom-module>
